apiVersion: networking.k8s.io/v1beta1 # for versions before 1.14 use extensions/v1beta1
kind: Ingress
metadata:
  name: sonar-ingress
  annotations:
    nginx.ingress.kubernetes.io/app-root: /sonar
    nginx.ingress.kubernetes.io/proxy-body-size: "200m"
    name: approot
    namespace: default
spec:
  rules:
  - host: dev.sonar-cube.com
    http:
      paths:
      - path: /
        backend:
          serviceName: sonar
          servicePort: 80